Subject: bug#19346: 25.0.50; url-http-parse-headers: Symbol's function definition is void: gnutls-available-p

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Thu, 11 Dec 2014 17:16:50 +0100

Ted Zlatanov <[email-masked]> writes:

> Your fix uses `fboundp'. Should we make `gnutls-available-p' always
> defined to return nil, to simplify this in the future?

Yes, that's how I thought it worked.

I dimly recall this being discussed before, but I don't remember the
outcome.

I think we discussed making a lot of these `*-available-p' functions so
that we would have a standard way to check whether the capability can be
used, and `featurep' can't be used since (under Windows) Emacs may be
compiled with support for it, but the libraries may not be available
run-time.

Perhaps Eli remembers what the conclusion was?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no